<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Morphology.NominalForms</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Morphology.NominalForms.html#basePronominalForms"><span class="hs-identifier">basePronominalForms</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Morphology.NominalForms.html#demonstrativeAbsolutive"><span class="hs-identifier">demonstrativeAbsolutive</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Morphology.NominalForms.html#basePossessiveForms"><span class="hs-identifier">basePossessiveForms</span></a></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Features.html"><span class="hs-identifier">Features</span></a></span><span>
</span><span id="line-4"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Morphology.Utils.html"><span class="hs-identifier">Morphology.Utils</span></a></span><span>
</span><span id="line-5"></span><span>
</span><span id="line-6"></span><span class="annot"><a href="Morphology.NominalForms.html#basePronominalForms"><span class="hs-identifier hs-type">basePronominalForms</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">String</span></span><span>
</span><span id="line-7"></span><span id="basePronominalForms"><span class="annot"><span class="annottext">basePronominalForms :: Person -&gt; Number -&gt; String
</span><a href="Morphology.NominalForms.html#basePronominalForms"><span class="hs-identifier hs-var hs-var">basePronominalForms</span></a></span></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;ni&quot;</span></span><span>
</span><span id="line-8"></span><span class="annot"><a href="Morphology.NominalForms.html#basePronominalForms"><span class="hs-identifier hs-var">basePronominalForms</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;zu&quot;</span></span><span>
</span><span id="line-9"></span><span class="annot"><a href="Morphology.NominalForms.html#basePronominalForms"><span class="hs-identifier hs-var">basePronominalForms</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;hura&quot;</span></span><span>
</span><span id="line-10"></span><span class="annot"><a href="Morphology.NominalForms.html#basePronominalForms"><span class="hs-identifier hs-var">basePronominalForms</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;gu&quot;</span></span><span>
</span><span id="line-11"></span><span class="annot"><a href="Morphology.NominalForms.html#basePronominalForms"><span class="hs-identifier hs-var">basePronominalForms</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;zuek&quot;</span></span><span>
</span><span id="line-12"></span><span class="annot"><a href="Morphology.NominalForms.html#basePronominalForms"><span class="hs-identifier hs-var">basePronominalForms</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;haiek&quot;</span></span><span>
</span><span id="line-13"></span><span>
</span><span id="line-14"></span><span class="annot"><a href="Morphology.NominalForms.html#demonstrativeAbsolutive"><span class="hs-identifier hs-type">demonstrativeAbsolutive</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Adverbial.html#Distance"><span class="hs-identifier hs-type">Distance</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Morphology.Utils.html#InflectedWord"><span class="hs-identifier hs-type">InflectedWord</span></a></span><span>
</span><span id="line-15"></span><span id="demonstrativeAbsolutive"><span class="annot"><span class="annottext">demonstrativeAbsolutive :: Distance -&gt; Number -&gt; String
</span><a href="Morphology.NominalForms.html#demonstrativeAbsolutive"><span class="hs-identifier hs-var hs-var">demonstrativeAbsolutive</span></a></span></span><span> </span><span class="annot"><span class="annottext">Distance
</span><a href="Features.Adverbial.html#Close"><span class="hs-identifier hs-var">Close</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;hau&quot;</span></span><span>
</span><span id="line-16"></span><span class="annot"><a href="Morphology.NominalForms.html#demonstrativeAbsolutive"><span class="hs-identifier hs-var">demonstrativeAbsolutive</span></a></span><span> </span><span class="annot"><span class="annottext">Distance
</span><a href="Features.Adverbial.html#Medium"><span class="hs-identifier hs-var">Medium</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;hori&quot;</span></span><span>
</span><span id="line-17"></span><span class="annot"><a href="Morphology.NominalForms.html#demonstrativeAbsolutive"><span class="hs-identifier hs-var">demonstrativeAbsolutive</span></a></span><span> </span><span class="annot"><span class="annottext">Distance
</span><a href="Features.Adverbial.html#Far"><span class="hs-identifier hs-var">Far</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;hura&quot;</span></span><span>
</span><span id="line-18"></span><span class="annot"><a href="Morphology.NominalForms.html#demonstrativeAbsolutive"><span class="hs-identifier hs-var">demonstrativeAbsolutive</span></a></span><span> </span><span class="annot"><span class="annottext">Distance
</span><a href="Features.Adverbial.html#Close"><span class="hs-identifier hs-var">Close</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;hauek&quot;</span></span><span>
</span><span id="line-19"></span><span class="annot"><a href="Morphology.NominalForms.html#demonstrativeAbsolutive"><span class="hs-identifier hs-var">demonstrativeAbsolutive</span></a></span><span> </span><span class="annot"><span class="annottext">Distance
</span><a href="Features.Adverbial.html#Medium"><span class="hs-identifier hs-var">Medium</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;horiek&quot;</span></span><span>
</span><span id="line-20"></span><span class="annot"><a href="Morphology.NominalForms.html#demonstrativeAbsolutive"><span class="hs-identifier hs-var">demonstrativeAbsolutive</span></a></span><span> </span><span class="annot"><span class="annottext">Distance
</span><a href="Features.Adverbial.html#Far"><span class="hs-identifier hs-var">Far</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;haiek&quot;</span></span><span>
</span><span id="line-21"></span><span>
</span><span id="line-22"></span><span class="annot"><a href="Morphology.NominalForms.html#basePossessiveForms"><span class="hs-identifier hs-type">basePossessiveForms</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="Features.Nominal.html#Person"><span class="hs-identifier hs-type">Person</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Features.Nominal.html#Number"><span class="hs-identifier hs-type">Number</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="Morphology.Utils.html#InflectedWord"><span class="hs-identifier hs-type">InflectedWord</span></a></span><span>
</span><span id="line-23"></span><span id="basePossessiveForms"><span class="annot"><span class="annottext">basePossessiveForms :: Person -&gt; Number -&gt; String
</span><a href="Morphology.NominalForms.html#basePossessiveForms"><span class="hs-identifier hs-var hs-var">basePossessiveForms</span></a></span></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;nire&quot;</span></span><span>
</span><span id="line-24"></span><span class="annot"><a href="Morphology.NominalForms.html#basePossessiveForms"><span class="hs-identifier hs-var">basePossessiveForms</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;zure&quot;</span></span><span>
</span><span id="line-25"></span><span class="annot"><a href="Morphology.NominalForms.html#basePossessiveForms"><span class="hs-identifier hs-var">basePossessiveForms</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;haren&quot;</span></span><span>
</span><span id="line-26"></span><span class="annot"><a href="Morphology.NominalForms.html#basePossessiveForms"><span class="hs-identifier hs-var">basePossessiveForms</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#First"><span class="hs-identifier hs-var">First</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;gure&quot;</span></span><span>
</span><span id="line-27"></span><span class="annot"><a href="Morphology.NominalForms.html#basePossessiveForms"><span class="hs-identifier hs-var">basePossessiveForms</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Second"><span class="hs-identifier hs-var">Second</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;zuen&quot;</span></span><span>
</span><span id="line-28"></span><span class="annot"><a href="Morphology.NominalForms.html#basePossessiveForms"><span class="hs-identifier hs-var">basePossessiveForms</span></a></span><span> </span><span class="annot"><span class="annottext">Person
</span><a href="Features.Nominal.html#Third"><span class="hs-identifier hs-var">Third</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Plural"><span class="hs-identifier hs-var">Plural</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">String
</span><span class="hs-string">&quot;haien&quot;</span></span><span>
</span><span id="line-29"></span></pre></body></html>